# Gimp.Procedure.set_image_types

    @accepts(Gimp.Procedure, unicode)
    @returns(none)
    def set_image_types(self, image_types):
        # Python wrapper for gimp_procedure_set_image_types()

This is a comma separated list of image types, or actually drawable types, that this procedure can deal with. Wildcards are possible here, so you could say "RGB*" instead of "RGB, RGBA" or "*" for all image types.

Supported types are "RGB", "GRAY", "INDEXED" and their variants with alpha.

Since 3.0

self

  A Gimp.Procedure.

image_types

  The image types this procedure can operate on.